---
updatedAt: 2026-05-27T08:02:52.000Z
agentTools:
  siteIndex: https://developer.eagleeye.com/llms.txt
  projectIndex: https://developer.eagleeye.com/eagleeye-developer/llms.txt
---

# Search for Rewards From a Reward Bank

This API endpoint allows the calling application to retrieve a Points Exchange Bank Reward details by Bank ID and optionally by other filtering criteria

# OpenAPI definition

```json
{
  "x-explorer-enabled": false,
  "openapi": "3.0.3",
  "servers": [
    {
      "url": "https://resources.uk.eagleeye.com",
      "description": "UK Production."
    },
    {
      "url": "https://resources.us.eagleeye.com",
      "description": "US Production."
    },
    {
      "url": "https://resources.us2.eagleeye.com",
      "description": "US2 Production."
    },
    {
      "url": "https://resources.au.eagleeye.com",
      "description": "AU Production."
    },
    {
      "url": "https://resources.sandbox.uk.eagleeye.com",
      "description": "UK Sandbox."
    }
  ],
  "info": {
    "version": "1.67.0",
    "title": "Resource API",
    "description": "# These APIs are used for integration with the Eagle Eye AIR platform when interacting with resources."
  },
  "tags": [
    {
      "name": "Reward Bank",
      "description": "Set of RESTful API endpoints allowing Clients to integrate with EES AIR and use Reward Bank functionality."
    }
  ],
  "paths": {
    "/banks/pointsreward/{bankId}/rewards": {
      "get": {
        "summary": "Search for Rewards From a Reward Bank",
        "operationId": "getPointsExchangeBankRewards",
        "tags": [
          "Reward Bank"
        ],
        "description": "This API endpoint allows the calling application to retrieve a Points Exchange Bank Reward details by Bank ID and optionally by other filtering criteria",
        "parameters": [
          {
            "$ref": "#/components/parameters/bankId"
          },
          {
            "name": "threshold[to]",
            "in": "query",
            "required": false,
            "description": "Optional Filtering criteria (e.g. `threshold[to]=100`) allowing the calling application to narrow down returned results by reward threshold",
            "schema": {
              "type": "string",
              "format": "string"
            },
            "allowEmptyValue": false
          },
          {
            "name": "threshold[from]",
            "in": "query",
            "required": false,
            "description": "Optional Filtering criteria (e.g. `threshold[from]=10`) allowing the calling application to narrow down returned results by reward threshold",
            "schema": {
              "type": "string",
              "format": "string"
            },
            "allowEmptyValue": false
          },
          {
            "name": "status",
            "in": "query",
            "required": false,
            "description": "Optional Filtering criteria (e.g. `status=ACTIVE`) allowing the calling application to narrow down returned results by reward status",
            "schema": {
              "type": "string",
              "format": "string"
            },
            "allowEmptyValue": false
          },
          {
            "name": "orderBy[]",
            "in": "query",
            "required": false,
            "description": "This optional request parameter allows the calling application to request a specific sorting order for a result set. Currently supported field names are&#58; `pointsRewardBankRewardId` and `threshold`",
            "schema": {
              "type": "string",
              "format": "string",
              "enum": [
                "pointsRewardBankRewardId,ASC",
                "pointsRewardBankRewardId,DESC",
                "threshold,ASC",
                "threshold,DESC"
              ],
              "default": "pointsRewardBankRewardId,ASC"
            },
            "allowEmptyValue": false
          },
          {
            "name": "offset",
            "in": "query",
            "required": false,
            "description": "This optional request parameter allows the calling application to request a specific page (pagination offset)",
            "schema": {
              "type": "string",
              "format": "int32",
              "default": 0,
              "minimum": 0
            },
            "allowEmptyValue": false
          },
          {
            "name": "limit",
            "in": "query",
            "required": false,
            "description": "This optional request parameter allows the calling application to influence a length of returned result-set (pagination items per page)",
            "schema": {
              "type": "string",
              "format": "int32",
              "default": 100,
              "minimum": 1,
              "maximum": 100
            },
            "allowEmptyValue": false
          },
          {
            "$ref": "#/components/parameters/httpAcceptEncodingRequest"
          },
          {
            "$ref": "#/components/parameters/httpConnectionRequest"
          },
          {
            "$ref": "#/components/parameters/httpContentTypeRequest"
          },
          {
            "$ref": "#/components/parameters/eesAuthenticationClientId"
          },
          {
            "$ref": "#/components/parameters/eesAuthenticationRequestHash"
          },
          {
            "$ref": "#/components/parameters/eesMessageId"
          },
          {
            "$ref": "#/components/parameters/customSubsystemId"
          },
          {
            "$ref": "#/components/parameters/customWildCard"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/getBankRewardsPayload"
          },
          "400": {
            "$ref": "#/components/responses/error400Response"
          },
          "401": {
            "$ref": "#/components/responses/error401Response"
          },
          "403": {
            "$ref": "#/components/responses/error403Response"
          },
          "404": {
            "$ref": "#/components/responses/error404Response"
          },
          "409": {
            "$ref": "#/components/responses/error409Response"
          },
          "415": {
            "$ref": "#/components/responses/error415Response"
          },
          "429": {
            "$ref": "#/components/responses/error429Response"
          },
          "500": {
            "$ref": "#/components/responses/error500Response"
          },
          "503": {
            "$ref": "#/components/responses/error503Response"
          },
          "504": {
            "$ref": "#/components/responses/error504Response"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "eesAuthenticationClientId": {
        "name": "X-EES-AUTH-CLIENT-ID",
        "in": "header",
        "description": "Client ID, This will be provided by EES and is unique to the company calling the API.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "eesAuthenticationRequestHash": {
        "name": "X-EES-AUTH-HASH",
        "in": "header",
        "description": "Request Security Hash, calculated using SHA-256 function from concatenated full Request URI Path with Query String(s), Payload and Client Secret.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "eesMessageId": {
        "name": "X-EES-TRANSACTION-ID",
        "in": "header",
        "description": "Unique Reference for the API transaction within the calling company.",
        "required": false,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "httpContentTypeRequest": {
        "name": "Content-Type",
        "in": "header",
        "required": false,
        "description": "Standard HTTP header to inform EES API what type of content was passed in request payload",
        "schema": {
          "type": "string",
          "format": "string",
          "default": "application/json"
        },
        "allowEmptyValue": false
      },
      "httpAcceptEncodingRequest": {
        "name": "Accept-Encoding",
        "in": "header",
        "required": false,
        "description": "This request HTTP header advertises which content encoding (usually a compression algorithm) the calling application is able to understand. The server selects one of the proposals, use it and informs the client of its choice with the `Content-Encoding` Response header. Currently supported `gzip` and `deflate`. Please note if this request header is not present, no compression will be used.",
        "schema": {
          "type": "string",
          "format": "string",
          "default": "''",
          "enum": [
            "''",
            "'gzip'",
            "'deflate'",
            "'gzip,deflate'",
            "'deflate,gzip'"
          ]
        },
        "allowEmptyValue": true
      },
      "httpConnectionRequest": {
        "name": "Connection",
        "in": "header",
        "required": false,
        "description": "This general HTTP header controls (or rather influences) whether the network connection stays open after the current request finishes. If the sent value is `keep-alive`, the connection should stay in a special state, allowing to be reused for subsequent requests to the same server. Please note these connections will be closed after reaching timeout threshold controlled by EES server (usually after 5 seconds).",
        "schema": {
          "type": "string",
          "format": "string",
          "enum": [
            "keep-alive",
            "close"
          ],
          "default": "close"
        }
      },
      "customSubsystemId": {
        "name": "X-CUSTOM-SUBSYSTEM-ID",
        "in": "header",
        "description": "Optional header provided by the calling application for EES AIR to identify what was the external Subsystem Id / Name. Please note this header is not essential for AIR to process a Request, this header and its value will be intercepted by AIR and will show up in Wallet Event Notifications, if applicable.",
        "required": false,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "customWildCard": {
        "name": "X-CUSTOM-KEY",
        "in": "header",
        "description": "Optional header(s) provided by the calling application to EES AIR. Please note a) this header name has to follow pattern X-CUSTOM-* (i.e. X-CUSTOM-EMAIL) b) this header is not essential for AIR to process a Request, this header and its value will be intercepted by AIR and will show up in Wallet Event Notifications, if applicable.\n",
        "required": false,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "bankId": {
        "name": "bankId",
        "in": "path",
        "required": true,
        "description": "EES AIR Bank ID (of type Points Exchange)",
        "schema": {
          "type": "string",
          "format": "string"
        },
        "allowEmptyValue": false
      }
    },
    "schemas": {
      "defaultErrorEntity": {
        "type": "object",
        "required": [
          "errorCode",
          "errorMessage"
        ],
        "properties": {
          "errorCode": {
            "type": "string",
            "format": "string",
            "description": "EES AIR Error Code",
            "example": "MPA",
            "enum": [
              "NF",
              "IR",
              "U",
              "AF",
              "CE",
              "IPR",
              "MNA",
              "MPA",
              "P",
              "AA",
              "IP",
              "IH",
              "RF"
            ]
          },
          "errorMessage": {
            "type": "string",
            "format": "string",
            "description": "Human Friendly Error Message",
            "example": "Missing Mandatory Request Parameter: `parameterName`"
          },
          "details": {
            "type": "object",
            "description": "This optional object might contain an additional details regarding this error"
          }
        },
        "x-enum": [
          {
            "errorCode": "NF",
            "errorMessage": "Not Found"
          },
          {
            "errorCode": "IR",
            "errorMessage": "Invalid Request"
          },
          {
            "errorCode": "U",
            "errorMessage": "Unknown Error"
          },
          {
            "errorCode": "AF",
            "errorMessage": "Authorisation Failed"
          },
          {
            "errorCode": "CE",
            "errorMessage": "Configuration Error"
          },
          {
            "errorCode": "IPR",
            "errorMessage": "IP Address Rejected"
          },
          {
            "errorCode": "MNA",
            "errorMessage": "Method Not Allowed"
          },
          {
            "errorCode": "MPA",
            "errorMessage": "Missing Parameter"
          },
          {
            "errorCode": "P",
            "errorMessage": "Privileges"
          },
          {
            "errorCode": "AA",
            "errorMessage": "Invalid Access to API Method"
          },
          {
            "errorCode": "IP",
            "errorMessage": "Invalid Parameter"
          },
          {
            "errorCode": "IH",
            "errorMessage": "Invalid Header set"
          },
          {
            "errorCode": "RF",
            "errorMessage": "Rollback Failure"
          }
        ]
      },
      "PointsRewardBankRewardEntity": {
        "type": "object",
        "required": [
          "pointsRewardBankRewardId",
          "pointsRewardBankId",
          "status",
          "resourceType",
          "resourceId",
          "cost",
          "threshold",
          "dateCreated",
          "lastUpdated"
        ],
        "properties": {
          "pointsRewardBankRewardId": {
            "type": "string",
            "format": "string",
            "nullable": false,
            "description": "EES AIR Points Exchange Bank Reward ID"
          },
          "pointsRewardBankId": {
            "type": "string",
            "format": "string",
            "nullable": false,
            "description": "EES AIR Points Exchange Bank ID"
          },
          "status": {
            "type": "string",
            "format": "string",
            "nullable": false,
            "description": "Points Exchange Bank Reward Status",
            "enum": [
              "ACTIVE",
              "INACTIVE",
              "SUSPENDED"
            ]
          },
          "resourceType": {
            "type": "string",
            "format": "string",
            "description": "Reward Type",
            "nullable": false,
            "enum": [
              "CAMPAIGN"
            ]
          },
          "resourceId": {
            "type": "string",
            "format": "string",
            "nullable": false,
            "description": "EES AIR Resource ID of what is the reward. This cannot be the same ID as an existing reward from this Bank."
          },
          "cost": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Reward cost (in Points)"
          },
          "threshold": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Reward threshold (in Points). If this is not provided then the cost is used as the threshold."
          },
          "dateCreated": {
            "type": "string",
            "format": "ees-datetime",
            "nullable": false,
            "description": "Points Exchange Bank Reward Created Date-time",
            "pattern": "^((((19|[2-9]\\d)(0[48]|[2468][048]|[13579][26])|(([2468][048]|[3579][26])00))\\-02\\-29|((19\\d{2}|[2-9]\\d{3})\\-((0[13578]|1[02])\\-31))|((19\\d{2}|[2-9]\\d{3})\\-(0[13-9]|1[0-2])\\-(29|30))|((19\\d{2}|[2-9]\\d{3})\\-(0[1-9]|1[0-2])\\-(0[1-9]|1[0-9]|2[0-8])))\\T([01][0-9]\\:[0-5][0-9]\\:[0-5][0-9]|2[0-3]\\:[0-5][0-9]\\:[0-5][0-9]))(\\+|\\-)([01][0-9]\\:[0-5][0-9]|2[0-3]\\:[0-5][0-9])$"
          },
          "lastUpdated": {
            "type": "string",
            "format": "ees-datetime",
            "nullable": false,
            "description": "Points Exchange Bank Reward Last updated Date-time",
            "pattern": "^((((19|[2-9]\\d)(0[48]|[2468][048]|[13579][26])|(([2468][048]|[3579][26])00))\\-02\\-29|((19\\d{2}|[2-9]\\d{3})\\-((0[13578]|1[02])\\-31))|((19\\d{2}|[2-9]\\d{3})\\-(0[13-9]|1[0-2])\\-(29|30))|((19\\d{2}|[2-9]\\d{3})\\-(0[1-9]|1[0-2])\\-(0[1-9]|1[0-9]|2[0-8])))\\T([01][0-9]\\:[0-5][0-9]\\:[0-5][0-9]|2[0-3]\\:[0-5][0-9]\\:[0-5][0-9]))(\\+|\\-)([01][0-9]\\:[0-5][0-9]|2[0-3]\\:[0-5][0-9])$"
          }
        },
        "example": {
          "rewardId": "1",
          "bankId": "1172",
          "status": "ACTIVE",
          "resourceType": "CAMPAIGN",
          "resourceId": "1749",
          "cost": 100,
          "threshold": 100,
          "dateCreated": "2019-07-02T13:54:43+00:00",
          "lastUpdated": "2019-07-02T13:54:43+00:00"
        }
      }
    },
    "responses": {
      "getBankRewardsPayload": {
        "description": "EES AIR has successfully processed a Request",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "required": [
                "offset",
                "limit",
                "total",
                "orderBy",
                "results"
              ],
              "properties": {
                "offset": {
                  "type": "integer",
                  "format": "int32",
                  "default": 0,
                  "nullable": false,
                  "description": "Pagination Offset"
                },
                "total": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Results count",
                  "nullable": false
                },
                "limit": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Results per page (up to 100)",
                  "nullable": false,
                  "minimum": 1,
                  "maximum": 100,
                  "default": 100
                },
                "orderBy": {
                  "type": "array",
                  "nullable": true,
                  "items": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": "string",
                        "format": "string",
                        "description": "Field used for sorting results",
                        "nullable": false,
                        "enum": [
                          "pointsRewardBankRewardId",
                          "threshold"
                        ]
                      },
                      "order": {
                        "type": "string",
                        "format": "string",
                        "description": "Sorting order (ascending, descending)",
                        "enum": [
                          "ASC",
                          "DESC"
                        ]
                      }
                    }
                  }
                },
                "results": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/PointsRewardBankRewardEntity"
                  }
                }
              }
            },
            "example": {
              "offset": 0,
              "limit": 100,
              "total": 2,
              "orderBy": [
                {
                  "name": "pointsRewardBankRewardId",
                  "order": "ASC"
                }
              ],
              "results": [
                {
                  "pointsRewardBankRewardId": "1",
                  "pointsRewardBankId": "1172",
                  "status": "ACTIVE",
                  "resourceType": "CAMPAIGN",
                  "resourceId": "1749",
                  "cost": 100,
                  "threshold": 100,
                  "dateCreated": "2019-07-02T13:54:43+00:00",
                  "lastUpdated": "2019-07-02T13:54:43+00:00"
                },
                {
                  "pointsRewardBankRewardId": 2,
                  "pointsRewardBankId": 1172,
                  "status": "ACTIVE",
                  "resourceType": "CAMPAIGN",
                  "resourceId": "1749",
                  "cost": 300,
                  "threshold": 300,
                  "dateCreated": "2019-07-04T13:54:43+00:00",
                  "lastUpdated": "2019-07-04T13:54:43+00:00"
                }
              ]
            }
          }
        }
      },
      "error409Response": {
        "description": "EES AIR understands this request, but refuse to process it, due to present Conflict with the current state of the target resource or because performing this operation would lead to a Conflict within AIR.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "CI",
                "errorMessage": "Campaign Inactive"
              }
            }
          }
        }
      },
      "error400Response": {
        "description": "EES AIR Refuse to process that particular Request as there is something wrong with the Request (e.g., missing Mandatory Request parameter or Mandatory Request Payload attribute is missing, Request payload cannot be processed, etc)",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "MPA",
                "errorMessage": "Missing Mandatory Request Parameter: `parameterName`"
              }
            }
          }
        }
      },
      "error401Response": {
        "description": "EES AIR Refuse to process that particular Request due to Authentication error. This could be caused by missing mandatory AUTH header(s), invalid Hash calculation, invalid or inactive API Key used, etc",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "AF",
                "errorMessage": "Authentication Failure, Please check if required AUTH headers are present in your Request and if AUTH Hash is calculated correctly"
              }
            }
          }
        }
      },
      "error403Response": {
        "description": "EES AIR Refuse to process that particular Request due to Request Authorization error(s). This indicates that used API Key has not got required permissions to perform this operation.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "P",
                "errorMessage": "You don't have appropriate Privileges to perform this operation"
              }
            }
          }
        }
      },
      "error404Response": {
        "description": "EES AIR Refuse to process that particular Request as requested/referenced resource could not be found.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "NF",
                "errorMessage": "Requested Resource (Wallet Identity Value) not found"
              }
            }
          }
        }
      },
      "error415Response": {
        "description": "EES AIR is not able to understand that request due to not supported `Content-Type` value.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      },
      "error429Response": {
        "description": "EES AIR refuses to process that particular Request as Client's API Requests Limit was exceeded.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      },
      "error500Response": {
        "description": "EES AIR refuses to process that particular Request due to Unexpected Server Error.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "U",
                "errorMessage": "Unknown Server Error"
              }
            }
          }
        }
      },
      "error503Response": {
        "description": "EES AIR refuses to process that particular Request due to Service(s) being Unavailable (i.e. Scheduled Maintenance)",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      },
      "error504Response": {
        "description": "EES AIR refuses to process that particular Request due to Networking Issues",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      }
    },
    "headers": {
      "uniquenessCheckResult": {
        "required": false,
        "description": "If Request Uniqueness checking is enabled for a Client, this Header will contain details regarding Request uniqueness check performed within EES AIR. `PASSED` means it was checked and a Request is unique, `FAILED` means check was performed and it fails, `UNABLE TO CHECK` means EES AIR was not able to perform uniqueness check.",
        "schema": {
          "type": "string",
          "format": "string",
          "nullable": false,
          "enum": [
            "PASSED",
            "FAILED",
            "UNABLE TO CHECK"
          ]
        }
      }
    }
  }
}
```